Subject: Re: [PATCH 00/25] [RFC] Bundle URIs

From: Derrick Stolee <[email-masked]>
Date: Fri, 8 Apr 2022 09:13:40 -0400

On 4/8/2022 5:15 AM, Ævar Arnfjörð Bjarmason wrote:
> 
> On Thu, Apr 07 2022, Derrick Stolee wrote:
>> Ævar: I'm still waiting on the full version of this. While you
>> updated [1] your original RFC [2], it was incomplete. I am still
>> looking forward to seeing your full vision of how it works with
>> incremental fetch and how your optimizations to download only the
>> headers of the bundles will work.
>>
>> [1] [RFC PATCH v2 00/13] bundle-uri: a "dumb CDN" for git
>>     https://lore.kernel.org/git/[email-masked]/
>>
>> [2] [RFC PATCH 00/13] Add bundle-uri: resumably clones, static "dumb" CDN etc.
>>     https://lore.kernel.org/git/[email-masked]/
>>
>>> 2. Ævar will then do a round of taking both series and combining
>>>    them in a way that allows the union of possible functionality
>>>    to work.
>>
>> Or perhaps you are jumping straight to this part?
> 
> Yeah, that was part of it...
> 
>>> 3. As these things come out, I will make it a priority to read the
>>>    patches and provide feedback focusing on high-level concepts
>>>    and ways we can split the future, non-RFC series into chunks
>>>    that provide incremental functionality while keeping review
>>>    easier than reading the whole series.
>>
>> I'm still looking forward to seeing progress in this area. Please
>> let me know what your plan is here.
> 
> Hi. I'm sorry about the delay, I ran into various life/software things,
> and found that this topic required a lot of continuous "sit down for a
> day and work on it" attention from me v.s. some other topics where I'd
> deal with interruption better.
> 
> Then I was hoping that the merger of your bundle.c changes would come a
> bit earlier before the rc, but they pretty much coincided, and since the
> rc dropped I've been hesitant to send a very large topic to the list
> (c.f. e.g. [1]).
> 
> Maybe I should just bite the bullet and submit it anyway, what do you
> think?
> 
> 1. https://lore.kernel.org/git/[email-masked]/

We could err on the side of not distracting from the list. I tend to
think the release phase can be a good time to talk about an RFC, since
Junio can ignore the thread until it is actually ready for full review.

At minimum, I appreciate knowing your progress. I can be patient for a
few more weeks as long as I have confidence that it will be shared as
soon as external blockers are cleared.

Thanks!
-Stolee